<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlleave_type WHERE ftleave_type_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Pendidikan sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
    $objAxpDB->ViewName("Daftar Tipe Cuti");
    $objAxpDB->ViewTable("vHRTipeCuti");
    $objAxpDB->ViewSQL("SELECT fnid, ftleave_type_code, ftleave_type_name from tlleave_type");
    $objAxpDB->ViewCaption("ID,  Kode Tipe Cuti, Nama Tipe Cuti");

    $objAxpDB->FormName("Tipe Cuti");
    $objAxpDB->FormSQL("select ftleave_type_code, ftleave_type_name, fnleave_type_period, fnleave_type_days from tlleave_type");
    $objAxpDB->FormCaption(" Kode Tipe Cuti, Nama Tipe Cuti, Periode Tipe Cuti (Tahun), Cuti Diperoleh (Hari)");
    $objAxpDB->FormPosition(" TL, TL, HD, HD");
//    $objAxpDB->FormScript(1, "onKeyUp=\"this.value=this.value.toUpperCase();\"");

    $objAxpDB->Lookup("fnstatus", "select fntrans_status_code, fttrans_status_name from tstransaction_status where fntrans_group_code = 9", "fntrans_status_code", "fttrans_status_name", 1, True);

    $objAxpDB->SetStatus("id, fnStatus");
    if ($objAxpDB->GetStatus("id") == "")
            $objAxpDB->ButtonShow("baru, cetak_daftar,  export_excel ,  tutup");
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->FormLocked(" 0, 0");
            $objAxpDB->ButtonShow("reset, simpan, tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->FormLocked("1, 0");
            $objAxpDB->ButtonShow("update, hapus, tutup");
    }
    $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
	   
       
?>
